Skip to main content
GET
https://api.tensormesh.ai
/
v1
/
billing
/
stripe
/
customers
/
payment-methods
List Stripe Payment Methods
curl --request GET \
  --url https://api.tensormesh.ai/v1/billing/stripe/customers/payment-methods \
  --header 'Authorization: Bearer <token>'
{
  "stripePaymentMethodIds": [
    "<string>"
  ],
  "paymentMethods": [
    {
      "stripePaymentMethodId": "<string>",
      "type": "STRIPE_PAYMENT_METHOD_TYPE_UNSPECIFIED",
      "brand": "<string>",
      "last4": "<string>",
      "expMonth": 123,
      "expYear": 123,
      "isDefault": true
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication using an access token. Format: Bearer <access_token>

Query Parameters

userId
string

The unique ID of the user.

Response

A successful response.

ListStripePaymentMethodsResponse is the response listing payment methods.

stripePaymentMethodIds
string[]

Payment method IDs.

paymentMethods
object[]

Payment method details.